Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# gncp_SchedXaction Struct Reference

`#include <SchedXactionP.h>`

## Data Fields
gchar * | name
FreqSpec * | freq
GDate | last_date
GDate | start_date
GDate | end_date
gint | num_occurances_total
gint | num_occurances_remain
gint | instance_num
gboolean | autoCreateOption
gboolean | autoCreateNotify
gint | advanceCreateDays
gint | advanceRemindDays
Account * | template_acct
GUID | guid
GNCEntityTable * | entity_table
GList * | deferredList
gboolean | dirty
kvp_frame * | kvp_data

## Detailed Description

A single scheduled transaction.

Scheduled transactions have a list of transactions, and a frequency [and associated date anchors] with which they are scheduled.

Things that make sense to have in a template transaction: [not] Date [though eventually some/multiple template transactions might have relative dates]. Memo Account Funds In/Out... or an expr involving 'amt' [A, x, y, a?] for variable expenses.

Template transactions are instantiated by: . copying the fields of the template . setting the date to the calculated "due" date.

We should be able to use the GeneralLedger [or, yet-another-subtype of the internal ledger] for this editing.

## Field Documentation

GList* gncp_SchedXaction::deferredList

| The list of deferred SX instances. This list is of temporalStateData instances.

The documentation for this struct was generated from the following file:

- SchedXactionP.h